import javax.ejb.EJB;
import javax.ejb.EJBException;
import javax.ejb.Stateless;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

@Stateless
@EJB(name = "audit", beanInterface = AnotherBeanLocal.class)
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {

  public EmployeeBean() {
  }

  public void doAction() {
    System.out.println("doAction");
    try {
      Context ctx = new InitialContext();
      AnotherBeanLocal a = (AnotherBeanLocal) ctx.lookup("java:comp/env/audit");
      a.doAnother();
    } catch (NamingException e) {
      throw new EJBException(e);
    }
  }

}
